Fraud LensFraud HistoryList fraud scans GET
GET
/api/v1/fraud/scan-history/

Retrieve history of all fraud scans (face and ID scans) for your organization. Results include S3 URLs to full request/response JSON data.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

from_date?string

Filter scans from this date (YYYY-MM-DD)

has_fraud_reports?boolean

Filter by fraud reports found (true/false)

id_type?string

Filter by ID type (for ID scans): bvn, nin, passport, etc.

page?integer

Page number

page_size?integer

Number of results per page (default: 50, max: 100)

risk_level?string

Filter by risk level: LOW, MEDIUM, HIGH, or CRITICAL

scan_type?string

Filter by scan type: face_scan or id_scan

source?string

Filter by source: portal or api

to_date?string

Filter scans up to this date (YYYY-MM-DD)

Response Body

application/json

curl -X GET "https://example.com/api/v1/fraud/scan-history/"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scan_id": "string",      "scan_type": "face_scan",      "source": "portal",      "organisation_name": "string",      "id_type": "string",      "id_number": "string",      "search_mode": "string",      "risk_level": "LOW",      "risk_score": "string",      "is_in_fraud_bank": true,      "total_reports_found": -2147483648,      "verified_reports_found": -2147483648,      "image_provided": true,      "face_matches_count": -2147483648,      "scan_summary": "string",      "processing_time_ms": -2147483648,      "initiated_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ],  "status": true,  "message": "Request successful.",  "errors": {},  "meta": {    "timestamp": "2019-08-24T14:15:22Z",    "version": "v1",    "request_id": "string"  },  "pagination": {    "page": 0,    "page_size": 0,    "total_pages": 0,    "total_items": 0  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel